#allrecords .link a{
    display: inline; 
    position: relative;
    background-image: linear-gradient(currentColor, currentColor);
    background-position: left bottom !important;
    background-repeat: no-repeat;
    background-size: 0% 1px;
    transition: background-size .3s;
    padding-bottom: 3px;
}

#allrecords .link a:hover, #allrecords .link a:focus {
    background-size: 100% 1px;
}

#allrecords ::selection {
    background-color: #195CFF;
    color: #ffffff;
}